package com.ylx.usercenter.domain.vo;

import lombok.Data;

@Data
public class UnifiedUserCenterResponseVO<L> {

    private Integer code;
    private String message;
    // 关键点：使用 Object 接收，因为后端可能返回 Map、List 或 Boolean
    private L data;

    // 辅助方法：判断业务是否成功
    public boolean isSuccess() {
        return this.code != null && this.code == 0;
    }
}
